<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [sellProduct](./bitburner.warehouseapi.sellproduct.md)

## WarehouseAPI.sellProduct() method

Set product sell data.

**Signature:**

```typescript
sellProduct(
    divisionName: string,
    city: CityName,
    productName: string,
    amt: string,
    price: string,
    all: boolean,
  ): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  divisionName | string | Name of the division |
|  city | [CityName](./bitburner.cityname.md) | Name of the city |
|  productName | string | Name of the product |
|  amt | string | Amount to sell, can be "MAX" |
|  price | string | Price to sell, can be "MP" |
|  all | boolean | Set sell amount and price in all cities |

**Returns:**

void

## Remarks

RAM cost: 20 GB

